### Function

# Gio AppInfo get_all_for_type

#### Declaration

    GList*
    g_app_info_get_all_for_type (
      const char* content_type
    )

#### Description

Gets a list of all `GAppInfos` for a given content type, including the recommended and fallback `GAppInfos`. See `g_app_info_get_recommended_for_type()` and g_app_info_get_fallback_for_type().

#### Parameters

`content_type`

  Type: `const char*`

  The content type to find a `GAppInfo` for.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: A list of `GAppInfo*`

`GList` of `GAppInfos` for given `content_type` or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.